# Function setOnSuccessfulLoginFunction

- setOnSuccessfulLoginFunction(fn: ((user: User) => User)): void

- Method defined in the aim to be overridden.

  #### Parameters

  - ##### fn: ((user: User) => User)

    The callback function to apply after login.

    - - (user: User): User

      - #### Parameters

        - ##### user: User

        #### Returns User

  #### Returns void

  - Defined in src/auth/service.ts:42

Generated using TypeDoc